Save entity
Starting the process for saving the entity.
This endpoint can be used in two ways:
- Raw: The body contains the raw source entity and the required meta data is provided as header parameters.
- Simplified: The source entity is given
propertiesof the body which also includes meta data.
Headers
Api key to validate your source.
"source-90880177-e9a1-47b3-9a40-7b728a6bafd8"
The type or alias of the type of entity being send to process. Eg. blogList, blogPage, frontPage, etc. Only used for raw body
The type is immutable after initial ingest. If an entity with the same originId already exists and the type differs, the ingest will be rejected with a type change error in the response. Type comparison is case-sensitive. To change the entity type, delete the entity and re-ingest with the new type, or use X-Enterspeed-Force-Type to override.
"product"
Optional header to override type immutability validation. Include this header to bypass the type immutability check and allow re-ingesting an entity with a different type. This is a destructive operation that rebuilds affected views. Use only when intentional type changes are required.
The value needs to be one of true, TRUE, 1.
"true"
If the entity is routable send the URL. Skip if entity is not routable. Only used for raw body. Note: The URL needs to begin with a leading slash.
"/product-1"
Allowed as null if no hierarchy exists. Only used for raw body
"2"
Comma separated list of URLs that redirects to the current page. Eg. https://enterspeed.com/product-1-old/ redirecting to https://enterspeed.com/product-1/.
"/product-old,/product-very-old"
The length of the message body, in bytes (this header is automatically added by most clients).
Note: The endpoint does not support Transfer-Encoding: chunked. JsonContent and PostAsJsonAsync in .NET will by default set the Transfer-Encoding: chunked header. Use types like e.g. StringContent or ByteArrayContent instead.
Path Parameters
Id of the entity. Must be same format for all entities within the same source. Eg. integers, guids, etc.
"1"
Body
The entity to process
- Option 1
- Option 2
Headers required
Property names:
- cannot start with a digit
- cannot consist only of underscores
- can contain A-Z, a-z letters, digits and underscores